serial.h File Reference
User-space driver API

### (ae09b60 2015-02-12 15:37:34 +0100)

Common routines for hw that uses the standard serial port driver. More...

Go to the source code of this file.

## Functions

int | tty_reset (int fd)
int | tty_setrtscts (int fd, int enable)
int | tty_setdtr (int fd, int enable)
int | tty_setbaud (int fd, int baud)
int | tty_setcsize (int fd, int csize)
int | tty_create_lock (const char *name)
int | tty_delete_lock (void)
int | tty_set (int fd, int rts, int dtr)
int | tty_clear (int fd, int rts, int dtr)
int | tty_write (int fd, char byte)
int | tty_read (int fd, char *byte)
int | tty_write_echo (int fd, char byte)

## Detailed Description

Common routines for hw that uses the standard serial port driver.

Author
  Christoph Bartelmus

Here is create_lock and delete_lock which manages the legacy, serial lock files. The other functions are wrappers for the termio(7) IOCTL commands.

Definition in file serial.h.